<form nz-form [formGroup]="form" class="timekeeping-form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Nhân viên -->
    <div nz-col nzXs="24" nzLg="12">
      <employee-data-picker [mbCanText]="true" [mbType]="isSubmitted && form.controls['employeeId'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['employeeId'].errors != null"
        [mbErrors]="form.controls['employeeId'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.employee' | translate}}]"
        formControlName="employeeId"
        mbLabelText="{{'staffAbs.timekeepingManagement.employee' | translate}} <span class='label__required'>*</span>">
      </employee-data-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker [mbType]="isSubmitted && form.controls['timekeepingDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['timekeepingDate'].errors != null"
        [mbErrors]="form.controls['timekeepingDate'].errors" [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}},
                ]" mbPlaceholderText="--{{'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}}--"
        mbLabelText="{{'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}} <span class='label__required'>*</span>"
        [formControlName]="'timekeepingDate'"></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text [mbIsTextAre]="true" [mbMaxLength]="2000" [mnMinLength]="0"
        [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['note'].errors != null" [mbErrors]="form.controls['note'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 2000}}]"
        mbLabelText="{{'staffAbs.timekeepingManagement.note' | translate}} "
        mbPlaceholderText="--{{'staffAbs.timekeepingManagement.note' | translate}}--" formControlName="note">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <label class="input__label">{{'staffAbs.label.file' | translate}}<span class='label__required'>*</span></label>
      <nz-upload
        nzType="drag"
        [nzAccept]="fileType"
        [nzMultiple]=" true"
        [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload"
        [nzRemove]="removeFile" [nzDownload]="downloadFile"
        >
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportType'|translate}}
        </p>
      </nz-upload>
    </div>
    <!-- !!!Error: File đính kèm bắt buộc nhập -->
    <div nz-col nzXs="24" nzLg="12" class="input__group fileEmptyMessage" *ngIf="isSubmitted && isFileEmpty">
      <div class="show-error">
        <em nz-icon nzType="close-circle" nzTheme="outline"></em>
        <span class="text__message">{{'staffAbs.validate.fileRequired' | translate}}</span>
      </div>
    </div>
    <!--End: Error: File đính kèm bắt buộc nhập-->

  </div>

  <div *nzModalFooter>
    <button nz-button nzType="default" (click)="close()">{{'staffAbs.approvalFlow.cancel' | translate}}</button>
    <button nz-button nzType="primary" (click)="saveOrUpdate()">{{'staffAbs.approvalFlow.save' |
      translate}}</button>
  </div>
</form>
